import { IIconContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkIconContainer implements IIconContainerComponent {
    /**
     * Icon name
     */
    name: string;
    /**
     * Additional css classes
     */
    cssClasses: string;
    useExternal: boolean;
    iconDefined: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
